mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum System.Runtime.InteropServices.ComVisible(true)

The date and time patterns associated with the vary depending on the language. If the is selected in , can be used to specify which date and time patterns to use in that .

For Arabic cultures, more language versions of the Gregorian calendar are available. For example, you can use the French version of using the value.

A culture that supports might not support all language versions of . The and properties specify the calendars supported by that culture. If is supported, can be used to determine which language versions of are supported.

Defines the different language versions of the Gregorian calendar.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Globalization.GregorianCalendarTypes To be added

  Refers to the Arabic version of the Gregorian calendar.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Globalization.GregorianCalendarTypes To be added

  Refers to the localized version of the Gregorian calendar, based on the language of the that uses the .

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Globalization.GregorianCalendarTypes To be added

  Refers to the Middle East French version of the Gregorian calendar.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Globalization.GregorianCalendarTypes To be added

  Refers to the transliterated English version of the Gregorian calendar.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Globalization.GregorianCalendarTypes To be added

  Refers to the transliterated French version of the Gregorian calendar.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Globalization.GregorianCalendarTypes To be added

  Refers to the U.S. English version of the Gregorian calendar.